<?php
/*
Plugin Name: Extended Description
Version: 1.7.e
Description: Permet d'avoir une description mutilingue. Permet galement d'avoir une description rduite pour la prsentation d'une catgorie et une description tendue pour la description qui s'affiche sur la page de la catgorie.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=175
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

function get_user_language_desc($desc, $extend=true)
{
	global $user;
	include(dirname(__FILE__) . '/config.php');

	$user_lang = substr($user['language'], 0, 2);
	if (!substr_count(strtolower($desc), '[lang=' . $user_lang . ']')) {
		$user_lang = 'default';
		if (!substr_count(strtolower($desc), '[lang=default]')) {
			$desc = preg_replace("#(\A|\[/lang\])(.*?)(\[lang=(.*?)\]|\Z)#is", '$1[lang=default]$2[/lang]$3', $desc);
		}
	}
	preg_match_all("#\[lang=(" . $user_lang . "|all)\](.*?)\[/lang\]#is", $desc, $matches);
	return implode('', ($extend ?
		preg_replace("#\A.*" . preg_quote($complete) . "|" . preg_quote($more) . "#is", '', $matches[2]) :
		preg_replace("#\A(.*?)(". preg_quote($complete) . "|" . preg_quote($more) . ").*\Z#is", '$1', $matches[2])));
}

function extended_desc_subcatify()
{
    global $categories;
    foreach($categories as $key => $category) {
        if (isset($category['comment']))  $categories[$key]['comment'] = get_user_language_desc($category['comment'], false);
    }
}

function extended_desc_main()
{
    global $page;
    if (isset($page['comment']))  $page['comment'] = get_user_language_desc($page['comment']);
}

function extended_desc_picture($picture)
{
    if (isset($picture['current']['comment']))  $picture['current']['comment'] = get_user_language_desc($picture['current']['comment']);
    return $picture;
}

add_event_handler ('loc_begin_index_category_thumbnails', 'extended_desc_subcatify');
add_event_handler ('loc_begin_index', 'extended_desc_main');
add_event_handler ('picture_pictures_data', 'extended_desc_picture');

?>